<?php declare(strict_types=1);
namespace HeaderImage\View\Helper;
use Laminas\View\Helper\AbstractHelper;

/**
 * View helper to get metadata for all pages of the specified type.
 */
class HeaderImageViewHelper extends AbstractHelper
{


    public function __construct($omekaSettings) #, $siteSettings)
    {
        $this->omekaSettings = $omekaSettings;
    }

    /**
     * Get the page's meta image url.
     *
     * @param SitePageRepresentation
     * @return string media url
     */
    public function getImage($page)
    {
        foreach ($page->blocks() as $block) {
            if ($block->layout() === 'headerImage') {
              $attachments = $block->attachments();
              #if ($$attachments) {
                $media = $attachments[0]->item()->media()[0];
                return $media->primaryMedia()->thumbnailUrl('large');
              #}
            }
        }
        $site = $this->currentSite();
        return $this->getView()->getHelperPluginManager()->get('archiveSiteMeta')->getSiteImage($site);
    }

    /**
     * @return \Omeka\Api\Representation\SiteRepresentation
     */
    protected function currentSite()
    {
        $view = $this->getView();
        return isset($view->site)
            ? $view->site
            : $view->getHelperPluginManager()->get('Laminas\View\Helper\ViewModel')->getRoot()->getVariable('site');
    }
}
